summaryrefslogtreecommitdiff
path: root/hack/make/dynbinary-daemon
diff options
context:
space:
mode:
authorDaniel Nephin <dnephin@docker.com>2016-02-19 17:42:51 -0500
committerDaniel Nephin <dnephin@docker.com>2016-04-22 11:26:01 -0400
commit9e7651db4d464649bc32cf346fdee8c6900ebe0f (patch)
tree644c32ff65dcfadaa47d746d9bf4dceb0c409232 /hack/make/dynbinary-daemon
parent9b00817dc692458f9e27e375a870ecd0dcbd0b75 (diff)
downloaddocker-9e7651db4d464649bc32cf346fdee8c6900ebe0f.tar.gz
Build two binaries client and daemon.
Add a proxy to support 'docker daemon' Fix configFile option, and remove a test that is no longer relevant. Remove daemon build tag. Remove DOCKER_CLIENTONLY from build scripts. Signed-off-by: Daniel Nephin <dnephin@docker.com> Change docker-daemon to dockerd. Signed-off-by: Daniel Nephin <dnephin@docker.com>
Diffstat (limited to 'hack/make/dynbinary-daemon')
-rw-r--r--hack/make/dynbinary-daemon12
1 files changed, 12 insertions, 0 deletions
diff --git a/hack/make/dynbinary-daemon b/hack/make/dynbinary-daemon
new file mode 100644
index 0000000000..c647c9cfa0
--- /dev/null
+++ b/hack/make/dynbinary-daemon
@@ -0,0 +1,12 @@
+#!/bin/bash
+set -e
+
+(
+ export BINARY_SHORT_NAME="dockerd"
+ export SOURCE_PATH="./docker"
+ export IAMSTATIC="false"
+ export LDFLAGS_STATIC_DOCKER=''
+ export BUILDFLAGS=( "${BUILDFLAGS[@]/netgo /}" ) # disable netgo, since we don't need it for a dynamic binary
+ export BUILDFLAGS=( "${BUILDFLAGS[@]/static_build /}" ) # we're not building a "static" binary here
+ source "${MAKEDIR}/.binary"
+)